Dokumentstruktur

From FreeCAD Documentation
Revision as of 14:57, 25 September 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to: navigation, search
Other languages:
български • ‎čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎Bahasa Indonesia • ‎italiano • ‎한국어 • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文 • ‎中文(中国大陆)‎
Screenshot treeview.jpg

Ein FreeCAD Dokument enthällt alle Objekte Ihrer Arbeitsumgebung. Es kann Gruppen und Objekte enthalten, die Sie mit den Arbeitsbereichen erstellt haben. Daher können Sie zwischen Arbeitsbereichen wechseln und immer noch im selben Dokument arbeiten. Es ist das Dokument, das gespeichert wird, wenn Sie Ihre Arbeit auf Datenträger speichern. Sie können sowohl mehrere Dokumente gleichzeitg in FreeCAD öffnen, als auch mehrere Ansichten im selben Dokument.

Innerhalb des Dokuments können die Objekte in Gruppen und einzeln bewegt werden, und haben einen eindeutigen Namen. Verwalten von Gruppen, Objekten und Objekt-Namen wird vor allem aus der Baumansicht erledigt. Es kann natürlich auch wie alles in FreeCAD, über den Python-Interpreter geschehen. In der Baumansicht können Sie Gruppen erstellen, Objekte in Gruppen einfügen, Objekte oder Gruppen löschen, durch Klick mit der rechten Maustaste in der Baumansicht oder auf ein Objekt, umbenennen von Objekten durch Doppelklick auf ihren Namen, oder eventuell andere Operationen, in Abhängigkeit des gewählten Arbeitsbereiches.

Die Objekte innerhalb eines Dokuments in FreeCAD können unterschiedlicher Art sein.

Jeder Arbeitsbereich kann seine eigene Art von Objekten zu erstellen, zum Beispiel schafft der Mesh-Arbeitsbereich Polygonnetzobjekte, der Part-Arbeitsbereich erstellt Teil-Objekte, der Draft-Arbeitsbereich erstellt auch Teil-Objekte, etc.

Wenn mindestens ein Dokument in FreeCAD geöffnet ist, gibt es immer ein und nur ein aktives Dokument. Das ist das Dokument, das in der aktuellen 3D-Ansicht angezeigt wird, das Dokument, an welchem Sie derzeit arbeiten.

Anwendungs- und Benutzer- Oberfläche

Wie fast alles in FreeCAD, ist die Benutzeroberfläche (GUI), vom Basis-Programm-Teil(App) getrennt. Dies gilt auch für Dokumente. Die Dokumente bestehen auch aus zwei Teilen: das Anwendungs-Dokument, das unsere Objekte enthält und das Ansichts-Dokument, das die Darstellung auf dem Bildschirm unserer Objekte enthält.

Betrachten Sie es als zwei Bereiche, in denen die Objekte definiert sind. Ihre konstruktiven Parametern (ist es ein Würfel? Einen Kegel? Welche Größe?) werden in dem Anwendungs-Dokument gespeichert, während ihre grafische Darstellung (ist es mit schwarzen Linien gezeichnet? mit blauen Flächen?) in dem Ansichts-Dokument gespeichert sind. Woran liegt das? Da FreeCAD auch ohne grafische Oberfläche verwendet werden kann, zum Beispiel innerhalb anderer Programme, und wir weiterhin in der Lage sein müssen, unsere Objekte zu manipulieren, selbst wenn nichts auf dem Bildschirm gezeichnet wird.

Eine andere Sache, die innerhalb des Ansicht-Dokuments enthalten ist, sind 3D-Ansichten. In einem Dokument können mehrere Ansichten geöffnet sein, so dass Sie Ihr Dokument aus mehreren Blickwinkeln gleichzeitig betrachten können. Vielleicht möchten Sie eine Draufsicht und eine Frontansicht Ihre Arbeit gleichzeitig sehen? Dann haben Sie zwei Ansichten des gleichen Dokuments, beide in nur einem Ansichts-Dokument gespeichert. Neue Ansichten anlegen oder Ansichten schliessen können über das Menü Ansicht oder mit der rechten Maustaste auf eine Registerkarte "Ansicht" erfolgen.

Skriptsteuerung (scripting)

Dokumente können sehr einfach mittels des Python-Interpreters erstellt und modifiziert werden. Zum Beispiel:

FreeCAD.ActiveDocument

Geht zum aktuellen (aktiven) Dokument zurück.

FreeCAD.ActiveDocument.Blob

Greift auf das Objekt namens "Blob" innerhalb Ihres Dokuments zu

FreeCADGui.ActiveDocument

Geht zurück zum Ansichts-Dokument, das mit dem aktuellen Dokument verbunden ist.

FreeCADGui.ActiveDocument.Blob

Greift zu auf den grafischen Darstellungsteil(view) Ihres Blob-Objekts

FreeCADGui.ActiveDocument.ActiveView

Gibt die aktuelle Ansicht zurück